Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78321 - /pkg.sslmod/ssl_engine_vars.c
Summary: /pkg.sslmod/ssl_engine_vars.c
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mod_ssl
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-21 10:32 UTC by Need Real Name
Modified: 2007-04-18 16:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-07-22 09:06:29 UTC


Attachments (Terms of Use)

Description Need Real Name 2002-11-21 10:32:09 UTC
Description of Problem:


Version-Release number of selected component (if applicable):


--- mod_ssl-2.8.5-1.3.22/pkg.sslmod/ssl_engine_vars.c   Mon Jan  1 11:48:59
2001+++ mod_ssl-2.8.5-1.3.22/pkg.sslmod/ssl_engine_vars.c   Fri Jun 14 16:12:56
2002@@ -308,7 +308,7 @@
     }
     else if (ssl != NULL && strlen(var) > 18 && strcEQn(var,
"CLIENT_CERT_CHAIN_", 18)) {
         sk = SSL_get_peer_cert_chain(ssl);
-        result = ssl_var_lookup_ssl_cert_chain(p, sk, var+17);
+        result = ssl_var_lookup_ssl_cert_chain(p, sk, var+18);
     }
     else if (ssl != NULL && strcEQ(var, "CLIENT_VERIFY")) {
         result = ssl_var_lookup_ssl_cert_verify(p, c);


How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:

Comment 1 Joe Orton 2004-07-22 09:06:29 UTC
This is fixed in current releases.  Thanks for the report.


Note You need to log in before you can comment on or make changes to this bug.